LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Server
User Name
Password
Linux - Server This forum is for the discussion of Linux Software used in a server related context.

Notices

Reply
 
Search this Thread
Old 08-02-2012, 08:06 PM   #1
ashujain13
LQ Newbie
 
Registered: Jul 2012
Posts: 15
Blog Entries: 1

Rep: Reputation: Disabled
Thumbs down Not able to run "YUM" command


Hi all,

am not able to run YUM command. whenever i run yum command i gets below mentioned message ;-


# yum install yum-plugin-versionlock
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

librpmbuild-4.4.so: cannot open shared object file: No such file or directory

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.4.3 (#1, May 24 2008, 13:47:28)
[GCC 4.1.2 20070626 (Red Hat 4.1.2-14)]

If you cannot solve this problem yourself, please go to
the yum faq at:
http://wiki.linux.duke.edu/YumFaq



Please advice.....i need to install TFTP server....ASAP
 
Old 08-02-2012, 08:52 PM   #2
John VV
Guru
 
Registered: Aug 2005
Posts: 13,279

Rep: Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775Reputation: 1775
it might have something to do with using RHEL4 (Red Hat 4.1)
rhel4 did NOT ship with yum
it was a afterthought to back port it to 4 when it was included in rhel5


also yum is VERY VERY( yes bold)dependent on the LAST yes the VERY LAST rhel4.9 python update
that version MUST BE USED !!!!

so

HOW did you install yum on this very old RHEL4.1 box
The RHEL4 series is now in " Extended Life Support "
the standard support for RHEL4 ended a few months back

this IS why you are paying for the REQUIRED support contract

contact your support rep



----------- edit from searching the op's OTHER posts ----------
is this still the unpaid for rhel5.3 from the other posts ???

if so buy the license
or install centOS 6.3

Last edited by John VV; 08-02-2012 at 08:57 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] How do I run "menu" and "logout" from the command line in fluxbox? psionl0 Slackware 19 03-02-2011 01:46 AM
Unable to run "yum update" dependency problems!! baig Linux - Newbie 11 11-28-2008 08:20 PM
Standard commands give "-bash: open: command not found" even in "su -" and "su root" mibo12 Linux - General 4 11-11-2007 11:18 PM
Shell Script: Find "Word" Run "Command" granatica Linux - Software 5 07-25-2007 08:42 AM
Shell: command not found / Runs fine with "Run command" badbunny Linux - Newbie 1 01-22-2007 02:21 AM


All times are GMT -5. The time now is 04:03 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration